Package org.mozilla.javascript.json

## Class JsonParser

- java.lang.Object
- - org.mozilla.javascript.json.JsonParser

-     public class JsonParser
      extends java.lang.Object

  This class converts a stream of JSON tokens into a JSON value. See ECMA 15.12.
  Author:
    Raphael Speyer, Hannes Wallnoefer

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `JsonParser.ParseException` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JsonParser​(Context cx, Scriptable scope)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `parseValue​(java.lang.String json)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonParser

          public JsonParser​(Context cx,
                            Scriptable scope)

  - ### Method Detail

    - #### parseValue

          public java.lang.Object parseValue​(java.lang.String json)
                                      throws JsonParser.ParseException

      Throws:
        `JsonParser.ParseException`